Create a PIX invoice
curl --request POST \
--url https://api.hyzecloud.com/api/invoices/pix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planId": "<string>"
}
'import requests
url = "https://api.hyzecloud.com/api/invoices/pix"
payload = { "planId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({planId: '<string>'})
};
fetch('https://api.hyzecloud.com/api/invoices/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyzecloud.com/api/invoices/pix"
payload := strings.NewReader("{\n \"planId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Invoices
Create a PIX invoice
Cria uma fatura com pagamento via PIX. Retorna brCode e brCodeBase64 para exibição.
POST
/
api
/
invoices
/
pix
Create a PIX invoice
curl --request POST \
--url https://api.hyzecloud.com/api/invoices/pix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"planId": "<string>"
}
'import requests
url = "https://api.hyzecloud.com/api/invoices/pix"
payload = { "planId": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({planId: '<string>'})
};
fetch('https://api.hyzecloud.com/api/invoices/pix', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.hyzecloud.com/api/invoices/pix"
payload := strings.NewReader("{\n \"planId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Autorizações
bearerAuthcookieAuth
API key com prefixo hyze_. Crie no dashboard em Settings → Developer.
Corpo
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Resposta
default
Response
Última modificação em 1 de setembro de 2026

